libwpg: libwpg::WPGSVGGenerator Class Reference documentation

# libwpg::WPGSVGGenerator Class Reference

`#include <WPGSVGGenerator.h>`

Inheritance diagram for libwpg::WPGSVGGenerator:

List of all members.

## Public Member Functions
| WPGSVGGenerator (std::ostream &output_sink)
| ~WPGSVGGenerator ()
void | startGraphics (double imageWidth, double imageHeight)
void | endGraphics ()
void | startLayer (unsigned int id)
void | endLayer (unsigned int id)
void | setPen (const libwpg::WPGPen &pen)
void | setBrush (const libwpg::WPGBrush &brush)
void | setFillRule (FillRule rule)
void | drawRectangle (const libwpg::WPGRect &rect, double rx, double ry)
void | drawEllipse (const libwpg::WPGPoint &center, double rx, double ry)
void | drawPolygon (const libwpg::WPGPointArray &vertices)
void | drawPath (const libwpg::WPGPath &path)
void | drawBitmap (const libwpg::WPGBitmap &bitmap)
void | drawImageObject (const libwpg::WPGBinaryData &binaryData)
## Private Member Functions
void | writeStyle ()
## Private Attributes
libwpg::WPGPen | m_pen
libwpg::WPGBrush | m_brush
FillRule | m_fillRule
int | m_gradientIndex
std::ostream & | m_outputSink

## Constructor & Destructor Documentation

libwpg::WPGSVGGenerator::WPGSVGGenerator | ( | std::ostream & | output_sink | ) |

libwpg::WPGSVGGenerator::~WPGSVGGenerator | ( |  | ) |

## Member Function Documentation

void libwpg::WPGSVGGenerator::startGraphics | ( | double | imageWidth,
|  | double | imageHeight |
| ) |  |  | `[virtual]`

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::endGraphics | ( |  | ) | `[virtual]`

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::startLayer | ( | unsigned int | id | ) | `[virtual]`

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::endLayer | ( | unsigned int | id | ) | `[virtual]`

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::setPen | ( | const libwpg::WPGPen & | pen | ) | `[virtual]`

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::setBrush | ( | const libwpg::WPGBrush & | brush | ) | `[virtual]`

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::setFillRule | ( | FillRule | rule | ) |

void libwpg::WPGSVGGenerator::drawRectangle | ( | const libwpg::WPGRect & | rect,
|  | double | rx,
|  | double | ry |
| ) |  |  | `[virtual]`

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::drawEllipse | ( | const libwpg::WPGPoint & | center,
|  | double | rx,
|  | double | ry |
| ) |  |  | `[virtual]`

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::drawPolygon | ( | const libwpg::WPGPointArray & | vertices | ) | `[virtual]`

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::drawPath | ( | const libwpg::WPGPath & | path | ) | `[virtual]`

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::drawBitmap | ( | const libwpg::WPGBitmap & | bitmap | ) | `[virtual]`

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::drawImageObject | ( | const libwpg::WPGBinaryData & | binaryData | ) | `[virtual]`

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::writeStyle | ( |  | ) | `[private]`

Referenced by drawEllipse(), drawPath(), drawPolygon(), and drawRectangle().

## Member Data Documentation

libwpg::WPGPen libwpg::WPGSVGGenerator::m_pen`[private]`

Referenced by setPen(), and writeStyle().

libwpg::WPGBrush libwpg::WPGSVGGenerator::m_brush`[private]`

Referenced by setBrush(), and writeStyle().

FillRule libwpg::WPGSVGGenerator::m_fillRule`[private]`

Referenced by setFillRule(), and writeStyle().

int libwpg::WPGSVGGenerator::m_gradientIndex`[private]`

Referenced by setBrush(), startGraphics(), and writeStyle().

std::ostream& libwpg::WPGSVGGenerator::m_outputSink`[private]`

Referenced by drawBitmap(), drawEllipse(), drawImageObject(), drawPath(), drawPolygon(), drawRectangle(), endGraphics(), endLayer(), setBrush(), startGraphics(), startLayer(), and writeStyle().

The documentation for this class was generated from the following files:

- WPGSVGGenerator.h
- WPGSVGGenerator.cpp